Merge pull request #35 from return42/fix-manage

[fix] manage - fix miss usage of 'set -e'
dependabot/pip/master/sphinx-6.1.3
Alexandre Flament 3 years ago committed by GitHub
commit f45729ae72
No known key found for this signature in database
GPG Key ID: 4AEE18F83AFDEB23

@ -343,14 +343,17 @@ pyenv.install() {
if pyenv.install.OK > /dev/null; then
return 0
fi
pyenv
pyenv.OK || die 42 "error while build pyenv (${PY_ENV_BIN})"
( set -e
build_msg PYENV "[install] pip install -e 'searx${PY_SETUP_EXTRAS}'"
"${PY_ENV_BIN}/python" -m pip install -e ".${PY_SETUP_EXTRAS}"
buildenv
) || die 42 "error while pip install (${PY_ENV_BIN})"
pyenv
build_msg PYENV "[install] pip install -e 'searx${PY_SETUP_EXTRAS}'"
"${PY_ENV_BIN}/python" -m pip install -e ".${PY_SETUP_EXTRAS}"
buildenv
)
local exit_val=$?
if [ ! $exit_val -eq 0 ]; then
die 42 "error while pip install (${PY_ENV_BIN})"
fi
}
pyenv.uninstall() {
@ -462,7 +465,7 @@ themes.simple() {
PYLINT_FILES=()
while IFS= read -r line; do
PYLINT_FILES+=("$line")
done <<< $(pylint.FILES)
done <<< "$(pylint.FILES)"
# shellcheck disable=SC2119
main() {

Loading…
Cancel
Save